#
# Conditional build:
%bcond_without	tests	# do perform "make test"

%define		pdir	Device
%define		pnam	ParallelPort-drv-parport
Summary:	Device::ParallelPort - driver that uses direct I/O access
Summary(pl.UTF-8):	Device::ParallelPort - sterownik używający bezpośredniego wejścia/wyjścia
Name:		perl-Device-ParallelPort-drv-parport
Version:	1.0
Release:	19
# same as perl (?)
# README says it is Artistic only, LICENSE says it is LGPL or Artistic
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	901987e4a37bfe2d7241530bda05f36e
URL:		http://search.cpan.org/dist/Device-ParallelPort-drv-parport/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Device-ParallelPort
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Device::ParallelPort driver that uses direct I/O access on
Linux. It uses the Linux parport driver and is definitely the prefered
access method on Linux. It also means that you do not require root
access.

%description -l pl.UTF-8
To jest sterownik Device::ParallelPort używający bezpośredniego
dostępu do wejścia/wyjścia pod Linuksem. Korzysta z linuksowego
sterownika portu równoległego i jest preferowaną metodą dostępu na
Linuksie. Oznacza to także, że nie trzeba mieć praw roota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Device/ParallelPort
%dir %{perl_vendorarch}/Device/ParallelPort/drv
%{perl_vendorarch}/Device/ParallelPort/drv/parport.pm
%dir %{perl_vendorarch}/auto/Device/ParallelPort
%dir %{perl_vendorarch}/auto/Device/ParallelPort/drv
%dir %{perl_vendorarch}/auto/Device/ParallelPort/drv/parport
%attr(755,root,root) %{perl_vendorarch}/auto/Device/ParallelPort/drv/parport/parport.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Device-ParallelPort-drv-parport.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 16ecaa5
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> bbcd94c
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 63eb080
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 0aadf24
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> b959eec
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 758356f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> d075674
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 01ed302
- rebuild with perl 5.28.0
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a585439
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> cbbcb06
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4673d4b
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2603c21
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 52eb8cc
- x32 rebuild
- release 8 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 0e6ef7a
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 907969c
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 261122d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 24a6dfa
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 090f211
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 903ae12
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 112a65d
- rel 3

